#
# Cookbook:: kosmos-bitcoin
# Recipe:: nginx_lndhub
#

include_recipe "kosmos-base::letsencrypt"
include_recipe "kosmos-nginx"

domain = node['lndhub-go']['domain']

nginx_certbot_site domain

upstream_host = search(:node, "role:lndhub").first["knife_zero"]["host"]

template "#{node['nginx']['dir']}/sites-available/#{domain}" do
  source 'nginx_conf_lndhub.erb'
  owner node["nginx"]["user"]
  mode 0640
  variables port: node['lndhub-go']['port'],
            server_name: domain,
            ssl_cert: "/etc/letsencrypt/live/#{domain}/fullchain.pem",
            ssl_key:  "/etc/letsencrypt/live/#{domain}/privkey.pem",
            upstream_host: upstream_host
  notifies :reload, 'service[nginx]', :delayed
end

nginx_site domain do
  action :enable
end
