include_recipe "kosmos-base::letsencrypt"
include_recipe "kosmos-nginx"

domain = "irc-libera-chat.botka.kosmos.chat"

nginx_certbot_site domain

upstream_host = search(:node, "role:hubot").first["knife_zero"]["host"]

template "#{node['nginx']['dir']}/sites-available/#{domain}" do
  source 'nginx_conf_hubot.erb'
  owner node["nginx"]["user"]
  mode 0640
  variables express_port: node['botka_irc-libera-chat']['http_port'],
            server_name:  domain,
            ssl_cert:     "/etc/letsencrypt/live/#{domain}/fullchain.pem",
            ssl_key:      "/etc/letsencrypt/live/#{domain}/privkey.pem",
            upstream_host: upstream_host
    notifies :reload, 'service[nginx]', :delayed
end

nginx_site domain do
  action :enable
end
