include_recipe "kosmos-base::letsencrypt"
include_recipe "kosmos-nginx"

app_name  = "hal8000_xmpp"

nginx_certbot_site node[app_name]['domain']

upstream_host = search(:node, "role:hubot").first["knife_zero"]["host"]

template "#{node['nginx']['dir']}/sites-available/#{node[app_name]['domain']}" do
  source 'nginx_conf_hubot.erb'
  owner node["nginx"]["user"]
  mode 0640
  variables express_port:  node[app_name]['http_port'],
            server_name:   node[app_name]['domain'],
            ssl_cert:      "/etc/letsencrypt/live/#{node[app_name]['domain']}/fullchain.pem",
            ssl_key:       "/etc/letsencrypt/live/#{node[app_name]['domain']}/privkey.pem",
            upstream_host: upstream_host
  notifies :reload, 'service[nginx]', :delayed
end

nginx_site node[app_name]['domain'] do
  action :enable
end
